org.richfaces.fragment.status

## Class RichFacesStatus.AdvancedStatusInteractions

- java.lang.Object
- - org.richfaces.fragment.status.RichFacesStatus.AdvancedStatusInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesStatus

      public class RichFacesStatus.AdvancedStatusInteractions
      extends Object
      implements VisibleComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesStatus.AdvancedStatusInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openqa.selenium.WebElement` | `getErrorElement()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `org.openqa.selenium.WebElement` | `getStartElement()`
    `org.openqa.selenium.WebElement` | `getStopElement()`
    `boolean` | `isVisible()`
    `WaitingWrapper` | `waitUntilStatusStateChanges(Status.StatusState state)`
    `WaitingWrapper` | `waitUntilStatusTextChanges()`
    `WaitingWrapper` | `waitUntilStatusTextChanges(String statusText)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesStatus.AdvancedStatusInteractions

          public RichFacesStatus.AdvancedStatusInteractions()

  - ### Method Detail

    - #### getErrorElement

          public org.openqa.selenium.WebElement getErrorElement()

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### getStartElement

          public org.openqa.selenium.WebElement getStartElement()

    - #### getStopElement

          public org.openqa.selenium.WebElement getStopElement()

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `VisibleComponentInteractions`

    - #### waitUntilStatusStateChanges

          public WaitingWrapper waitUntilStatusStateChanges(Status.StatusState state)

    - #### waitUntilStatusTextChanges

          public WaitingWrapper waitUntilStatusTextChanges(String statusText)

    - #### waitUntilStatusTextChanges

          public WaitingWrapper waitUntilStatusTextChanges()

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.